Package com.sun.messaging.jms

## Class MQSecurityRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - jakarta.jms.JMSRuntimeException
        - - jakarta.jms.JMSSecurityRuntimeException
          - - com.sun.messaging.jms.MQSecurityRuntimeException

- All Implemented Interfaces:
    `com.sun.messaging.jmq.jmsclient.logging.Loggable`, `java.io.Serializable`

      public class MQSecurityRuntimeException
      extends jakarta.jms.JMSSecurityRuntimeException
      implements com.sun.messaging.jmq.jmsclient.logging.Loggable

  This class is the MQ-specific implementation of jakarta.jms.JMSSecurityRuntimeException and adds the methods setLogState and getlogState
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MQSecurityRuntimeException​(jakarta.jms.JMSSecurityException cause)` | Construct a `MQSecurityRuntimeException` to wrap the specified JMSException
    `MQSecurityRuntimeException​(java.lang.String detailMessage)` | Constructs a `MQSecurityRuntimeException` with the specified detail message
    `MQSecurityRuntimeException​(java.lang.String detailMessage, java.lang.String errorCode)` | Constructs a `MQSecurityRuntimeException` with the specified detail message and error code.
    `MQSecurityRuntimeException​(java.lang.String detailMessage, java.lang.String errorCode, java.lang.Throwable cause)` | Constructs a `MQSecurityRuntimeException` with the specified detail message, error code and cause

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getLogState()` | return whether this object is logged
    `void` | `setLogState​(boolean state)` | Specify whether this object is logged.

    - ### Methods inherited from class jakarta.jms.JMSRuntimeException

      `getErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MQSecurityRuntimeException

          public MQSecurityRuntimeException​(java.lang.String detailMessage)

      Constructs a `MQSecurityRuntimeException` with the specified detail message
      Parameters:
        `detailMessage` - a description of the exception

    - #### MQSecurityRuntimeException

          public MQSecurityRuntimeException​(java.lang.String detailMessage,
                                            java.lang.String errorCode)

      Constructs a `MQSecurityRuntimeException` with the specified detail message and error code.
      Parameters:
        `detailMessage` - a description of the exception
        `errorCode` - a provider-specific error code

    - #### MQSecurityRuntimeException

          public MQSecurityRuntimeException​(java.lang.String detailMessage,
                                            java.lang.String errorCode,
                                            java.lang.Throwable cause)

      Constructs a `MQSecurityRuntimeException` with the specified detail message, error code and cause
      Parameters:
        `detailMessage` - a description of the exception
        `errorCode` - a provider-specific error code
        `cause` - the underlying cause of this exception

    - #### MQSecurityRuntimeException

          public MQSecurityRuntimeException​(jakarta.jms.JMSSecurityException cause)

      Construct a `MQSecurityRuntimeException` to wrap the specified JMSException
      Parameters:
        `cause` - the underlying cause of this exception

  - ### Method Detail

    - #### setLogState

          public void setLogState​(boolean state)

      Specify whether this object is logged.
      Specified by:
        `setLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
      Parameters:
        `state` - whether this object is logged

    - #### getLogState

          public boolean getLogState()

      return whether this object is logged
      Specified by:
        `getLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
      Returns:
        whether this object is logged